%define _legacy_common_support 1

Summary:   Edinburgh speech tools library
Name:      speech-tools
Version:   2.5
Release:   4%{?dist}
License:   MIT
URL:       http://festvox.org
Source0:   %{url}/packed/festival/%{version}/speech_tools-%{version}.0-release.tar.gz

Patch3000: enable_shared.patch

BuildRequires: make gcc-c++ ncurses-devel alsa-lib-devel

%description
The Edinburgh speech tools system is a library of C++ classes, functions and utility programs that
are frequently used in speech software.  The system compiles to a single Unix library .a file which
can be linked with software.  At present, C++ classes for several useful speech and language classes
have been written, along with audio software and some basic signal processing software.

%package libs
Summary: Edinburgh speech tools libraries

%description libs
The shared libraries needed by speech-tools and other software.

%package libs-devel
Summary: Development files for the speech-tools libraries
Requires: speech-tools-libs = %{version}-%{release}

%description libs-devel
This package contains the development related files for the speech-tools libraries.

%package libs-static
Summary: Static libraries of speech-tools, so far needed by at least festival
Requires: speech-tools-libs-devel = %{version}-%{release}

%description libs-static
This package contains the static libraries for speech-tools.  They are so far definitely needed for
festival, but they might be depended upon by some third-party developers as well.

%prep
%autosetup -n speech_tools -p0

%build
%configure
%__make CFLAGS="%{optflags} -fPIC -flto -fno-lto" CXXFLAGS="%{optflags} -fPIC -flto -fno-lto" LDFLAGS="$LDFLAGS -flto -fno-lto"

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 main/{bcat,ch_lab,ch_track,ch_utt,ch_wave,dp,na_play,na_record,ngram_build,ngram_test,ols,ols_test,pda,pitchmark,scfg_make,scfg_parse,scfg_test,scfg_train,sig2fv,sigfilter,spectgen,tilt_analysis,tilt_synthesis,viterbi,wagon,wagon_test,wfst_build,wfst_run} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_libdir}
install -p -m 755 lib/*.so* %{buildroot}%{_libdir}
install -p -m 644 lib/*.a %{buildroot}%{_libdir}

mkdir -p %{buildroot}%{_includedir}/speech_tools
cp -dr include/* %{buildroot}%{_includedir}/speech_tools
rm -rf %{buildroot}%{_includedir}/speech_tools/win32

mkdir -p %{buildroot}%{_libdir}/speech_tools/base_class
install -p -m 644 base_class/*.cc %{buildroot}%{_libdir}/speech_tools/base_class
install -p -m 644 base_class/*.h %{buildroot}%{_libdir}/speech_tools/base_class

mkdir -p %{buildroot}%{_libdir}/speech_tools
cp -dr config/ %{buildroot}%{_libdir}/speech_tools

mkdir -p %{buildroot}%{_libdir}/speech_tools/lib/siod
install -p -m 644 lib/siod/*.scm %{buildroot}%{_libdir}/speech_tools/lib/siod

mkdir -p %{buildroot}%{_libdir}/speech_tools/include
cp -r %{buildroot}%{_includedir}/speech_tools/* %{buildroot}%{_libdir}/speech_tools/include

%files
%{_bindir}/*

%files libs
%{_libdir}/*.so*

%files libs-devel
%{_includedir}/speech_tools/
%{_libdir}/speech_tools/
%{_libdir}/*.so

%files libs-static
%{_libdir}/*.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 2.5-1
- initial build
